﻿/*Body*/
*{
  font-family:  verdana,lucida;       
  color: black;
  font-size:12px;
  font-weight: bold;  
}    

.txtWhite, .txtWhite td{
  color: #fff;
}   
 
/*
.body{
 background:black;  
 background:url("images/backgroundSpring300-70.png");
 background-repeat: no-repeat;
 background-size:cover;*/

}

div::-webkit-scrollbar
{
  width: 12px;  /* for vertical scrollbars */
  height: 12px; /* for horizontal scrollbars */
}

div::-webkit-scrollbar-track
{
  background: rgba(0, 0, 0, 0.1);
}

div::-webkit-scrollbar-thumb
{
  background: rgba(41, 138, 8, 0.5);
}

#top, #bot { position: absolute; }
#top { top: 0; }
#bot { bottom: 0; }

.txtBlack
{
color:yellow; /* 173B0B change look*/
}

.datagrid {
margin:0px;padding:0px;
box-shadow: 10px 10px 5px #F6E3CE; /*#888888; change Look*/
border: 5px solid #610B0B; /*green; change Look*/
border-radius: 15px;    
-moz-border-radius: 15px;    
-webkit-border-radius: 15px; 
/*width:1040px;*/
overflow:hidden;
background-color:white;
  }

.datagrid table{
  border:none;
  border-spacing: 0;
  width:100%;
  margin:0px;
  padding:0px;
  overflow: hidden;
}
.datagrid tr:last-child td:last-child {
  -moz-border-radius-bottomright:0px;
  -webkit-border-bottom-right-radius:0px;
  border-bottom-right-radius:0px;
}

.datagrid table tr:first-child td:last-child {
  -moz-border-radius-topright:0px;
  -webkit-border-top-right-radius:0px;
  border-top-right-radius:0px;
}.datagrid tr:last-child td:first-child{
  -moz-border-radius-bottomleft:0px;
  -webkit-border-bottom-left-radius:0px;
  border-bottom-left-radius:0px;
}.datagrid tr:hover td{
  
}
.datagrid tr:nth-child(odd){ background-color:#F5D0A9}; /*d4ffaa; change Look*/
.datagrid tr:nth-child(even)    { background-color:#ffffff; }

.datagrid td{
  vertical-align:middle; 
  border:1px solid #610B0B;
  border-width:0px 1px 1px 0px;
  text-align:left;
  padding:3px;
  font-size:10px;
  /*font-family:verdana;*/
  /*font-weight:normal;*/
  color:#000000;
  
}
.datagrid tr:last-child td{
  border-width:0px 1px 0px 0px;
}
.datagrid tr td:last-child{
  border-width:0px 0px 1px 0px;
}
.datagrid tr:last-child td:last-child{
  border-width:0px 0px 0px 0px;
}

.tblHeader{
/*width:1000px;*/
background-color:white;
cursor: pointer;
}

.tblHeader td{
text-align: center;
padding:0px;
  border:0px;
  border-width:0px 0px 0px 0px;
}

.tblHeader tr:last-child td{
  border-width:0px 0px 0px 0px;
}
.tblHeader tr td:last-child{
  border-width:0px 0px 0px 0px;
}
.tblHeader tr:last-child td:last-child{
  border-width:0px 0px 0px 0px;
}



.datagridSmall {
  margin:0px;padding:0px;
  width:100%;
  box-shadow: 10px 10px 5px #888888;
  border: 5px solid green;
  border-radius: 15px;    
 -moz-border-radius: 15px;    
 -webkit-border-radius: 15px;   

}
.datagridSmall table{
  border:none;
  border-spacing: 0;
  width:100%;
  height:100%;
  margin:0px;
  padding:0px;

}
.datagridSmall tr:last-child td:last-child {
  -moz-border-radius-bottomright:0px;
  -webkit-border-bottom-right-radius:0px;
  border-bottom-right-radius:0px;
}

.datagridSmall table tr:first-child td:last-child {
  -moz-border-radius-topright:0px;
  -webkit-border-top-right-radius:0px;
  border-top-right-radius:0px;
}.datagridSmall tr:last-child td:first-child{
  -moz-border-radius-bottomleft:0px;
  -webkit-border-bottom-left-radius:0px;
  border-bottom-left-radius:0px;
}.datagridSmall tr:hover td{
  
}
.datagridSmall tr:nth-child(odd){ background-color:#d4ffaa; }
.datagridSmall tr:nth-child(even)    { background-color:#ffffff; }
.datagridSmall td{vertical-align:middle;
  
  
  border:1px solid #3f7f00;
  border-width:0px 1px 1px 0px;
  text-align:left;
  padding:0px;
  font-size:11px;
  font-family:verdana;
  font-weight:normal;
  color:#000000;
}.datagridSmall tr:last-child td{
  border-width:0px 1px 0px 0px;
}.datagridSmall tr td:last-child{
  border-width:0px 0px 1px 0px;
}.datagridSmall tr:last-child td:last-child{
  border-width:0px 0px 0px 0px;
}

.datagridNB{
  border:none;
  border-spacing: 0;

  height:100%;
  margin:0px;padding:0px;
  overflow: hidden;
}
.datagridNB tr:last-child td:last-child {
  -moz-border-radius-bottomright:0px;
  -webkit-border-bottom-right-radius:0px;
  border-bottom-right-radius:0px;
}

.datagridNB tr:first-child td:last-child {
  -moz-border-radius-topright:0px;
  -webkit-border-top-right-radius:0px;
  border-top-right-radius:0px;
}.datagridNB tr:last-child td:first-child{
  -moz-border-radius-bottomleft:0px;
  -webkit-border-bottom-left-radius:0px;
  border-bottom-left-radius:0px;
}.datagridNB tr:hover td{
  
}
.datagridNB tr:nth-child(odd){ background-color:#d4ffaa; }
.datagridNB tr:nth-child(even)    { background-color:#ffffff; }

.datagridNB td{
  vertical-align:middle; 
  border:1px solid #3f7f00;
  border-width:0px 1px 1px 0px;
  text-align:left;
  padding:7px;
  font-size:11px;
  font-family:verdana;
  font-weight:normal;
  color:#000000;
}
.datagridNB tr:last-child td{
  border-width:0px 1px 0px 0px;
}
.datagridNB tr td:last-child{
  border-width:0px 0px 1px 0px;
}
.datagridNB tr:last-child td:last-child{
  border-width:0px 0px 0px 0px;
}

.clean
{
 background-color: transparent; 
}

.clean td
{
  background-color: transparent;
}

.clean tr
{
  background-color: transparent;
}

.clean tr:nth-child(odd){ background-color:transparent; }






.disociacion td
{
  background-color: #F5A9A9;
}

.disociacion tr
{
  background-color: #F5A9A9;
}

.disociacion tr:nth-child(odd){ background-color:#F5A9A9; }




.asociacion td
{
  background-color: #66ff99;
}

.asociacion tr
{
  background-color: #66ff99;
}

.asociacion tr:nth-child(odd){ background-color:#66ff99; }





.cursorP{
  cursor: pointer;
}


/*TODO: Esta aplicando de forma genérica, pero el código se deberia usar solo para los selects del recetario 
  TODO 2: Quite los selects del recetario, quedaban poco elegantes y el superfiltrado estoy en duda que aporte*/
select{
    width:52px;
    font-size: 12px;
    }

input[type="button"]:hover {
  cursor: pointer;
}
input[type="button"]:focus{
 outline: none;
}
input[type="text"]:focus{
 outline: none;

}
select:focus{
 outline: none;
}

input[type="text"]{
 font-size: 12px;
}

input[type="password"]{
 font-size: 12px;
}


/*
change look

old linear strong: 3f7f00;
old linear light: 77b55a;

*/

.btnGreen{
  -moz-box-shadow: 0px 10px 14px -7px #F6E3CE;
  -webkit-box-shadow: 0px 10px 14px -7px #F6E3CE;
  box-shadow: 0px 10px 14px -7px #F6E3CE;
  background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #cc3333), color-stop(1, #610B0B));
  background:-moz-linear-gradient(top, #cc3333 5%, #610B0B 100%);
  background:-webkit-linear-gradient(top, #cc3333 5%, #610B0B 100%);
  background:-o-linear-gradient(top, #cc3333 5%, #610B0B 100%);
  background:-ms-linear-gradient(top, #cc3333 5%, #610B0B 100%);
  background:linear-gradient(to bottom, #cc3333 5%, #610B0B 100%);
  filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#cc3333', endColorstr='#610B0B',GradientType=0);
 
  background-color:#cc3333; /* 8A0829 change look*/

  -moz-border-radius:4px;
  -webkit-border-radius:4px;
  border-radius:4px;
  border:1px solid #F6E3CE;  /* 4b8f29 change look*/
  /*display:inline-block;*/
    position:relative;
  cursor:pointer;
  color:#ffffff;
  font-family:Verdana;
  font-size:12px;
  font-weight:bold;
  padding:4px 4px;
  text-decoration:none;
  /* text-shadow:0px 1px 0px #5b8a3c;5b8a3c change look*/


}
.btnGreen:hover {
  background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #610B0B), color-stop(1, #8A0829));
  background:-moz-linear-gradient(top, #610B0B 5%, #8A0829 100%);
  background:-webkit-linear-gradient(top, #610B0B 5%, #8A0829 100%);
  background:-o-linear-gradient(top, #610B0B 5%, #8A0829 100%);
  background:-ms-linear-gradient(top, #610B0B 5%, #8A0829 100%);
  background:linear-gradient(to bottom, #610B0B 5%, #8A0829 100%);
  filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#610B0B', endColorstr='#8A0829',GradientType=0);
  background-color:#610B0B;
}
.btnGreen:active  {
  position:relative;
  top:1px;
}


.btnGreenS{
  -moz-box-shadow: 0px 7px 9px -5px #3e7327;
  -webkit-box-shadow: 0px 10px 14px -7px #3e7327;
  box-shadow: 0px 10px 14px -7px #3e7327;
  background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #77b55a), color-stop(1, #3f7f00));
  background:-moz-linear-gradient(top, #77b55a 5%, #3f7f00 100%);
  background:-webkit-linear-gradient(top, #77b55a 5%, #3f7f00 100%);
  background:-o-linear-gradient(top, #77b55a 5%, #3f7f00 100%);
  background:-ms-linear-gradient(top, #77b55a 5%, #3f7f00 100%);
  background:linear-gradient(to bottom, #77b55a 5%, #3f7f00 100%);
  filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#77b55a', endColorstr='#3f7f00',GradientType=0);
  background-color:#77b55a;
  -moz-border-radius:4px;
  -webkit-border-radius:4px;
  border-radius:4px;
  border:1px solid #4b8f29;
  display:inline-block;
  cursor:pointer;
  color:#ffffff;
  font-family:Verdana;
  font-size:10px;
  /*font-weight:bold;*/
  padding:1px 1px;
  text-decoration:none;
  text-shadow:0px 1px 0px #5b8a3c;
}
.btnGreenS:hover {
  background:-webkit-gradient(linear, left top, left bottom, color-stop(0.05, #3f7f00), color-stop(1, #77b55a));
  background:-moz-linear-gradient(top, #3f7f00 5%, #77b55a 100%);
  background:-webkit-linear-gradient(top, #3f7f00 5%, #77b55a 100%);
  background:-o-linear-gradient(top, #3f7f00 5%, #77b55a 100%);
  background:-ms-linear-gradient(top, #3f7f00 5%, #77b55a 100%);
  background:linear-gradient(to bottom, #3f7f00 5%, #77b55a 100%);
  filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#3f7f00', endColorstr='#77b55a',GradientType=0);
  background-color:#3f7f00;
}
.btnGreenS:active  {
  position:relative;
  top:1px;
}


.closebtn {
  width: 40px;
  height: 40px;
  padding: 0px;
  margin:0px 5px 0px 5px;
  float: right;
  top: 0;
  background-image: url('images/btnClose.png');
  background-repeat: no-repeat;
  background-position:center;
  background-color: white;
  display: block;
  border-radius: 0px;    
  -moz-border-radius: 0px;    
  -webkit-border-radius: 0px; 
  position: relative;
  overflow: hidden;
z-index:1001;

}
.closebtn:hover {
  cursor: pointer;
}
.imgBtn{
  cursor: pointer;
}





/**********************************Contenedores**************************************/


  .contbtnGreen{border: 8px solid #3F7F00;}
  .contbtnGreen::-webkit-scrollbar-thumb{background: rgba(63, 127, 0, 0.5);}

  .contbtnOrange{border: 8px solid #DF7401;}
  .contbtnOrange::-webkit-scrollbar-thumb{background: rgba(223, 116, 1, 0.5);}

  .contpla{border: 8px solid green;}
  .contpla::-webkit-scrollbar-thumb{background: rgba(0, 255, 0, 0.5);}

  /*Contenedor*/



 .contHLV, .contbtnGreen, .contpla,  .contbtnOrange{
    background-color: white;
    color: black;
    padding: 20px;

    overflow-y: auto;
    position: fixed;
    top: 2%;
    left: 50%;
    transform: translate(-50%, 0);
    width: 740px;
    height: 580px;
    border-radius: 15px;    
    -moz-border-radius: 15px;    
    -webkit-border-radius: 15px;
    z-index:300;
    text-align:left;
  }




 @media (max-width: 1050px) {

         /*Contenedor*/
 .contHLV, .contbtnGreen, .contpla,  .contbtnOrange      {
       /* background-color: white;*/
        color: black;
        padding: 5px;
        /*display:block;*/
        /*overflow-y: auto;*/
       /* position: absolute;*/
        /*top: 0px;*/
        left: 0px;
        width: 97%;
        height: 100%;
        border-radius: 15px;    
        -moz-border-radius: 15px;    
        -webkit-border-radius: 15px;
        z-index:201;
        transform: translate(0, 0);
      }
}


.datagridFull {
position: absolute;
top: 0px;
left: 0px;
width: 99%;
  height:100%;
margin:0px;padding:0px;
 box-shadow: 10px 10px 5px #888888;
border: 5px solid green;
border-radius: 15px;    
-moz-border-radius: 15px;    
-webkit-border-radius: 15px; 
overflow:hidden;
background-color:white;
z-index:201;
transform: translate(0, 0);
padding:0;
margin:0;


  }

.datagridFull table{
  border:none;
  border-spacing: 0;
  width:100%;
  height:100%;
  margin:0px;padding:0px;
  overflow: hidden;
}
.datagridFull tr:last-child td:last-child {
  -moz-border-radius-bottomright:0px;
  -webkit-border-bottom-right-radius:0px;
  border-bottom-right-radius:0px;
}

.datagridFull table tr:first-child td:last-child {
  -moz-border-radius-topright:0px;
  -webkit-border-top-right-radius:0px;
  border-top-right-radius:0px;
}.datagridFull tr:last-child td:first-child{
  -moz-border-radius-bottomleft:0px;
  -webkit-border-bottom-left-radius:0px;
  border-bottom-left-radius:0px;
}.datagridFull tr:hover td{
  
}
.datagridFull tr:nth-child(odd){ background-color:#d4ffaa; }
.datagridFull tr:nth-child(even)    { background-color:#ffffff; }

.datagridFull td{
  vertical-align:middle; 
  border:1px solid #3f7f00;
  border-width:0px 1px 1px 0px;
  text-align:left;
  padding:7px;
  font-size:11px;
  font-family:verdana;
  font-weight:normal;
  color:#000000;
}
.datagridFull tr:last-child td{
  border-width:0px 1px 0px 0px;
}
.datagridFull tr td:last-child{
  border-width:0px 0px 1px 0px;
}
.datagridFull tr:last-child td:last-child{
  border-width:0px 0px 0px 0px;
}







#divDifusion:hover{
  cursor: pointer;
    }



/******Divs de mantenimientos********/
.divLeft{
  float:left;
  height:1200px;
  width:480px;

  overflow-y:scroll;
  padding:5px;

}

.divLeft::-webkit-scrollbar-thumb{background: rgba(49, 180, 4, 0.5);}  

.divRecetas{
  height:500px;
  /*overflow-y:scroll;*/
          }

.divRecetas::-webkit-scrollbar-thumb{background: rgba(255, 29, 29, 0.5);}  

.divComidas{
  height:500px;
  overflow-y:scroll;
          }
.divComidas::-webkit-scrollbar-thumb{background: rgba(19, 22, 225, 0.5);}  

.blockbkg {
      background-color: black;
      opacity: 40%;
      filter:alpha(opacity=50);
      background-color: rgba(0,0,0,0.50);
      width: 100%;
      min-height: 100%;
      overflow: hidden;
      float: absolute;
      position: fixed;
      top: 0;
      left: 0;
      color: white;
    }



    .prop:hover{
  cursor: pointer;
    }

.tablaDatos { 

  margin: 0 auto 5px auto;
  border: 4px solid #0000FF;

  /*border-collapse: separate;*/
  border-spacing: 0 10px 0 0;
  padding: 0px;
}

.tablaDatos td{ 
  border: 0px solid #FFBF00;
}

.plImg{
 cursor: pointer; 
 width: 90px;

}

.sptImg{
 cursor: pointer; 
 width: 100px;

}

#tblTableroSeed tbody td {
  /*font-family: Tahoma;*/
  font-size: 12px;
 /* color: #ff0000;*/
}